Bug 29669 - use of <ins> or <del> on command line
use of <ins> or <del> on command line
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-02-26 20:03 EST by Tim Clymo
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-12 16:34:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Clymo 2001-02-26 20:03:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1-0.1.10 i686)

This may be stupid, but I'd like to see the insert and delete keys have the
same kind of functionality on a shell command line as they do with DOS - ie
<del> removes character immediately to right of cursor while <ins> toggles
insert/replace mode

Currently, all I get with either of these keys is a "~".

In the unlikely event that this is actually supposed to work today, it may
help to add that I'm using a UK keyboard (MS Natural Pro)

Reproducible: Always
Steps to Reproduce:
Comment 1 Bernhard Rosenkraenzer 2001-02-28 12:33:08 EST
del does just what you want it to (ins doesn't, and isn't supposed to).
Is del not working for you in X or in text mode? If x, are you using konsole, 
kvt, gnome-terminal, xterm or rxvt?
Comment 2 Tim Clymo 2001-02-28 13:50:06 EST
You're right, del works in text mode (Ctrl-Alt-F1 to get to the console in 
runlevel 5).

It doesn't work in X using gnome-terminal, konsole, xterm or rxvt. I don't have 
kvt installed.

Could this be an XKB issue? I've tried pc101, pc105 and msnatural 
in /etc/X11/XF86config-4

On a related note, I connected to a wolverine server using an HP Entria X-
terminal, logged into a gnome desktop and started a gnome-terminal. Then tried 
an ls|more (using shifted key 28 for the pipe). It was echoed and interpreted 
as a broken bar (hex a6) which is not understood by the shell as a pipe.

I worked around this by setting "keycode 28 = backslash bar" 
in /etc/X11/Xmodmap which seems to have had the desired effect. However, the 
comments at the top of the Xmodmap file seem to suggest that XKB ought to be 
sorting this out?

Logging into the X server on the wolverine machine itself was OK
Comment 3 Bernhard Rosenkraenzer 2001-03-06 08:10:28 EST
It's either an XKB issue or an inputrc issue.

If you type "cat", press return, then press del, what escape sequence do you 
see? ^[[3~ ?
Comment 4 Tim Clymo 2001-03-08 03:57:32 EST
Yes, this is the escape sequence I see...

BTW, my "workaround" for the xterminal problem doesn't work. For some reason I 
don't understand the "console" keyboard's key #28 is the "T" key (which, of 
course is now remapped to \|, whilst the xterminal's is the "\|" key (right 
next to the LH shift). Both these keyboards look identical in layout, and I 
just can't figure out what's going on.
Comment 5 Tim Clymo 2001-03-12 16:34:08 EST
Just updated system to latest up2date versions of everything, and this problem
seems to have gone away (del now works in X from the system "console")

Note You need to log in before you can comment on or make changes to this bug.